

# 永天-东盟项目《入侵告警功能》接口文档 v1.0



[TOC]

##### 接口说明:   报警主机事件

- **请求URL**

> [](#)

- **请求方式** 

>**POST**

- **请求参数**

| 返回参数    | 参数类型 | 必须 | 参数说明                                                     |
| :---------- | :------- | ---- | :----------------------------------------------------------- |
| message     | String   | 是   | 消息类型                                                     |
| commtype    | String   | 是   | 连接类型（1 为网络，2 为串口）                               |
| connect     | String   | 是   | 主机连接号                                                   |
| ip          | String   | 是   | IP地址（可能是IP地址，也可能是com ，比如如果commtype = 1 那么 ip就是类似"192.168.1.222",如果commtype = 2 那么 ip 就是 "com"） |
| port        | String   | 是   | 端口号（如果commtype = 1 那么 port 类似 6000、6001 ,如果commtype = 2 那么 port 就是 1、2、3、4） |
| eventflag   | String   | 是   | 事件报警类型（值可能有两个 1,0 【 1代表是 dk903键盘事件】，【0 代表是 主机事件】） |
| eventtriger | String   | 是   | 事件触发返回值（值可能有两个 1,0 【 1代表是 触发事件】，【0 代表是 恢复事件】） |
| cidcode     | String   | 是   | CID码                                                        |
| cidlevel    | String   | 是   | CID级别                                                      |
| cidtype     | String   | 是   | CID类型                                                      |
| cidmemo     | String   | 是   | CID内容                                                      |
| partcode    | String   | 是   | 分区名                                                       |
| guardcode   | String   | 是   | 防区名                                                       |



- **返回示例**

| 返回参数 | 参数类型  | 参数说明                      |
| :------- | :-------- | :---------------------------- |
| msg      | String    | 操作信息说明                  |
| flag     | boolean   | 请求标记，成功true，失败false |
| data     | JsonArray | 返回数据                      |

- **data数介绍**
- 参考单位查询接介绍

- **返回示例**

```json 
{
    "msg": "查询成功",
    "flag": true,
    "data": []
}
```

